%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Name:           python-dm-tree
Version:        0.1.8
Release:        %mkrel 2
Summary:        Tree is a library for working with nested data structures
Group:          Development/Python

License:        APGL2.0
URL:            https://github.com/deepmind/tree
Source:         %{pypi_source dm-tree}
# use system libraries
Patch0:         0001-use-system-libraries.patch

BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  cmake(pybind11)
BuildRequires:  cmake(absl)


%global _description %{expand:
tree is a library for working with nested data structures. In a way, tree
generalizes the builtin map function which only supports flat sequences, and
allows to apply a function to each "leaf" preserving the overall structure.}

%description %_description

%package -n     python3-dm-tree
Summary:        %{summary}

%description -n python3-dm-tree %_description


%prep
%autosetup -p1 -n dm-tree-%{version}
sed -ie "s|extension_dir}',|extension_dir}', '-DCMAKE_NO_SYSTEM_FROM_IMPORTED=1', '-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON',|" setup.py
sed -ie "s|CMAKE_CXX_STANDARD 14|CMAKE_CXX_STANDARD 17|" tree/CMakeLists.txt

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tree


%check
%tox

%files -n python3-dm-tree -f %{pyproject_files}



%changelog
* Sun Jun 02 2024 daviddavid <daviddavid> 0.1.8-2.mga10
+ Revision: 2069497
- rebuild for new abseil 20240116

* Sun May 19 2024 papoteur <papoteur> 0.1.8-1.mga10
+ Revision: 2064874
- imported for python-arviz
- fix summary
- imported package python-dm-tree

